## crun 0.10.5+dfsg

=== debian/changelog ===
crun (0.10.5+dfsg-1) unstable; urgency=medium

  * Initial release (Closes: #944087).

 -- Dmitry Smirnov <onlyjob@debian.org>  Sun, 10 Nov 2019 12:28:16 +1100

=== debian/watch ===
# uscan(1) configuration file.
version=4

opts="\
pgpmode=auto,\
repack,compression=xz,repacksuffix=+dfsg,\
dversionmangle=s{[+~]dfsg\d*}{},\
pgpsigurlmangle=s/$/.sig/ \
" https://github.com/containers/crun/releases \
  .*/download/(?:\d[\d\.]+)/crun-(\d[\d\.]+)\.tar\.xz

## crun 1.8.1

=== libocispec/image-spec/Makefile ===
EPOCH_TEST_COMMIT ?= v0.2.0

DOCKER ?= $(shell command -v docker 2>/dev/null)
PANDOC ?= $(shell command -v pandoc 2>/dev/null)

OUTPUT_DIRNAME	?= output
DOC_FILENAME	?= oci-image-spec

PANDOC_CONTAINER ?= ghcr.io/opencontainers/pandoc:2.9.2.1-8.fc33.x86_64@sha256:5d81ff930a043295a557be8b003ece2a33d14e91b28c50d368413b83372f8d28
ifeq "$(strip $(PANDOC))" ''
	ifneq "$(strip $(DOCKER))" ''
		PANDOC = $(DOCKER) run \
			--rm \
			-v $(shell pwd)/:/input/:ro \
			-v $(shell pwd)/$(OUTPUT_DIRNAME)/:/$(OUTPUT_DIRNAME)/ \
			-u $(shell id -u) \
			--workdir /input \
			$(PANDOC_CONTAINER)
		PANDOC_SRC := /input/
		PANDOC_DST := /
	endif
endif

# These docs are in an order that determines how they show up in the PDF/HTML docs.
DOC_FILES := \
	spec.md \
	media-types.md \
	descriptor.md \
	image-layout.md \
	manifest.md \
	image-index.md \
	layer.md \
	config.md \
	annotations.md \
	conversion.md \
	considerations.md \
	implementations.md

FIGURE_FILES := \
	img/media-types.png

TOOLS := esc gitvalidation 

default: check-license lint test

help:
	@echo "Usage: make <target>"
	@echo
	@echo " * 'docs' - produce document in the $(OUTPUT_DIRNAME) directory"
	@echo " * 'fmt' - format the json with indentation"
	@echo " * 'validate-examples' - validate the examples in the specification markdown files"
	@echo " * 'check-license' - check license headers in source files"
	@echo " * 'lint' - Execute the source code linter"
	@echo " * 'test' - Execute the unit tests"
	@echo " * 'img/*.png' - Generate PNG from dot file"

fmt:
	for i in schema/*.json ; do jq --indent 2 -M . "$${i}" > xx && cat xx > "$${i}" && rm xx ; done

docs: $(OUTPUT_DIRNAME)/$(DOC_FILENAME).pdf $(OUTPUT_DIRNAME)/$(DOC_FILENAME).html

ifeq "$(strip $(PANDOC))" ''
$(OUTPUT_DIRNAME)/$(DOC_FILENAME).pdf: $(DOC_FILES) $(FIGURE_FILES)
	$(error cannot build $@ without either pandoc or docker)
else
$(OUTPUT_DIRNAME)/$(DOC_FILENAME).pdf: $(DOC_FILES) $(FIGURE_FILES)
	@mkdir -p $(OUTPUT_DIRNAME)/ && \
	$(PANDOC) -f gfm -t latex --pdf-engine=xelatex -V geometry:margin=0.5in,bottom=0.8in -V block-headings -o $(PANDOC_DST)$@ $(patsubst %,$(PANDOC_SRC)%,$(DOC_FILES))
	ls -sh $(realpath $@)

$(OUTPUT_DIRNAME)/$(DOC_FILENAME).html: header.html $(DOC_FILES) $(FIGURE_FILES)
	@mkdir -p $(OUTPUT_DIRNAME)/ && \
	cp -ap img/ $(shell pwd)/$(OUTPUT_DIRNAME)/&& \
	$(PANDOC) -f gfm -t html5 -H $(PANDOC_SRC)header.html --standalone -o $(PANDOC_DST)$@ $(patsubst %,$(PANDOC_SRC)%,$(DOC_FILES))
	ls -sh $(realpath $@)
endif

header.html: .tool/genheader.go specs-go/version.go
	go run .tool/genheader.go > $@

validate-examples: schema/schema.go
	go test -run TestValidate ./schema

check-license:
	@echo "checking license headers"
	@./.tool/check-license

lint: .install.lint
	@echo "checking lint"
	@GO111MODULE=on golangci-lint run

test: schema/fs.go
	go test -race -cover $(shell go list ./... | grep -v /vendor/)

img/%.png: img/%.dot
	dot -Tpng $^ > $@


# When this is running in GitHub, it will only check the commit range
.gitvalidation:
	@which git-validation > /dev/null 2>/dev/null || (echo "ERROR: git-validation not found. Consider 'make install.tools' target" && false)
ifdef GITHUB_SHA
	git-validation -q -run DCO,short-subject,dangling-whitespace -range $(GITHUB_SHA)..HEAD
else
	git-validation -v -run DCO,short-subject,dangling-whitespace -range $(EPOCH_TEST_COMMIT)..HEAD
endif

install.tools: $(TOOLS:%=.install.%)

.install.lint:
	go get github.com/golangci/golangci-lint/cmd/golangci-lint@v1.45.2

.install.gitvalidation:
	go get -u github.com/vbatts/git-validation

clean:
	rm -rf *~ $(OUTPUT_DIRNAME) header.html

.PHONY: \
	$(TOOLS:%=.install.%) \
	validate-examples \
	check-license \
	clean \
	lint \
	install.tools \
	docs \
	test \
	.gitvalidation \
	schema/fs.go \
	schema-fs

## crun 0.10.6+dfsg

=== debian/changelog ===
crun (0.10.6+dfsg-1) unstable; urgency=medium

  * New upstream release.

 -- Dmitry Smirnov <onlyjob@debian.org>  Mon, 18 Nov 2019 20:56:31 +1100

=== debian/control ===
Source: crun
Section: admin
Priority: optional
Standards-Version: 4.4.1
Maintainer: Dmitry Smirnov <onlyjob@debian.org>
Build-Depends: debhelper (>= 12~)
    ,automake
    ,golang-github-opencontainers-image-spec-dev
    ,golang-github-opencontainers-specs-dev (>= 1.0.1+git20190408~)
    ,go-md2man
    ,libcap-dev
    ,libseccomp-dev
    ,libsystemd-dev
    ,libyajl-dev
    ,pkgconf | pkg-config
    ,python3
#Rules-Requires-Root: no
Homepage: https://github.com/containers/crun
Vcs-Git: https://salsa.debian.org/debian/crun.git
Vcs-Browser: https://salsa.debian.org/debian/crun

Package: crun
Architecture: any
Built-Using: ${my:Built-Using}
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: lightweight OCI runtime for running containers
 Fast and low-memory footprint OCI Container Runtime fully written in C.

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

#include /usr/share/dpkg/pkg-info.mk

%:
	dh $@ --buildsystem=autoconf

override_dh_auto_clean:
	-dh_auto_clean

override_dh_clean:
	dh_clean
	$(RM) -r libocispec/image-spec libocispec/runtime-spec

override_dh_auto_configure:
	dh_auto_configure
	ln -sv /usr/share/gocode/src/github.com/opencontainers/image-spec libocispec/
	ln -sv /usr/share/gocode/src/github.com/opencontainers/runtime-spec libocispec/

override_dh_auto_test:
	-dh_auto_test

override_dh_auto_install:
	dh_auto_install --destdir=debian/tmp

override_dh_gencontrol:
	dh_gencontrol -- -Vmy:Built-Using="$(shell dpkg-query --show -f '$${source:Package} (=$${source:Version}),' golang-github-opencontainers-image-spec-dev golang-github-opencontainers-specs-dev)"

## crun 0.11+dfsg

=== debian/changelog ===
crun (0.11+dfsg-1) unstable; urgency=medium

  * New upstream release.

 -- Dmitry Smirnov <onlyjob@debian.org>  Tue, 24 Dec 2019 13:09:41 +1100

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Standards-Version: 4.4.1
 Maintainer: Dmitry Smirnov <onlyjob@debian.org>
-Build-Depends: debhelper (>= 12~)
+Build-Depends: debhelper-compat (= 12)
     ,automake
     ,golang-github-opencontainers-image-spec-dev
     ,golang-github-opencontainers-specs-dev (>= 1.0.1+git20190408~)

## crun 0.12+dfsg

=== debian/changelog ===
crun (0.12+dfsg-1) unstable; urgency=medium

  * New upstream release.
  * Standards-Version: 4.5.0.

 -- Dmitry Smirnov <onlyjob@debian.org>  Tue, 04 Feb 2020 12:32:26 +1100

## crun 0.12.1+dfsg

=== debian/changelog ===
crun (0.12.1+dfsg-1) unstable; urgency=medium

  * New upstream release.

 -- Dmitry Smirnov <onlyjob@debian.org>  Wed, 12 Feb 2020 12:51:41 +1100

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Source: crun
 Section: admin
 Priority: optional
-Standards-Version: 4.4.1
+Standards-Version: 4.5.0
 Maintainer: Dmitry Smirnov <onlyjob@debian.org>
 Build-Depends: debhelper-compat (= 12)
     ,automake

=== debian/rules ===
--- 
+++ 
@@ -15,12 +15,16 @@
 
 override_dh_clean:
 	dh_clean
-	$(RM) -r libocispec/image-spec libocispec/runtime-spec
+	$(RM) -r libocispec/image-spec libocispec/runtime-spec libocispec/src/__pycache__
 
 override_dh_auto_configure:
 	dh_auto_configure
-	ln -sv /usr/share/gocode/src/github.com/opencontainers/image-spec libocispec/
-	ln -sv /usr/share/gocode/src/github.com/opencontainers/runtime-spec libocispec/
+	mkdir -v libocispec/image-spec
+	cp -rv /usr/share/gocode/src/github.com/opencontainers/image-spec/* libocispec/image-spec/
+	mkdir -v libocispec/runtime-spec
+	cp -rv /usr/share/gocode/src/github.com/opencontainers/runtime-spec/* libocispec/runtime-spec/
+#	FIXME: https://github.com/containers/crun/issues/240
+#	$(MAKE) -C libocispec generate
 
 override_dh_auto_test:
 	-dh_auto_test

=== debian/watch ===
# uscan(1) configuration file.
version=4

opts="\
pgpmode=auto,\
repack,compression=xz,repacksuffix=+dfsg,\
dversionmangle=s{[+~]dfsg\d*}{},\
pgpsigurlmangle=s/$/.asc/ \
" https://github.com/containers/crun/releases \
  .*/download/(?:\d[\d\.]+)/crun-(\d[\d\.]+)\.tar\.xz

## crun 0.13+dfsg

=== debian/changelog ===
crun (0.13+dfsg-1) unstable; urgency=medium

  * New upstream release.
  * Rules-Requires-Root: no.

 -- Dmitry Smirnov <onlyjob@debian.org>  Mon, 06 Apr 2020 09:56:09 +1000

crun (0.12.2.1+dfsg-1) unstable; urgency=medium

  * New upstream release.

 -- Dmitry Smirnov <onlyjob@debian.org>  Fri, 28 Feb 2020 19:04:21 +1100

## crun 0.14.1+dfsg

=== debian/changelog ===
crun (0.14.1+dfsg-1) unstable; urgency=medium

  * New upstream release.

 -- Dmitry Smirnov <onlyjob@debian.org>  Fri, 17 Jul 2020 23:14:03 +1000

## crun 0.15+dfsg

=== debian/changelog ===
crun (0.15+dfsg-1) unstable; urgency=medium

  * New upstream release.
  * rules: don't install .la file.

 -- Dmitry Smirnov <onlyjob@debian.org>  Thu, 24 Sep 2020 06:44:34 +1000

## crun 0.15.1+dfsg

=== debian/changelog ===
crun (0.15.1+dfsg-1) unstable; urgency=medium

  * New upstream release.

 -- Dmitry Smirnov <onlyjob@debian.org>  Thu, 19 Nov 2020 22:32:23 +1100

## crun 0.16+dfsg

=== debian/changelog ===
crun (0.16+dfsg-1) unstable; urgency=medium

  * New upstream release.

 -- Dmitry Smirnov <onlyjob@debian.org>  Thu, 07 Jan 2021 16:31:49 +1100

=== debian/control ===
--- 
+++ 
@@ -14,7 +14,7 @@
     ,libyajl-dev
     ,pkgconf | pkg-config
     ,python3
-#Rules-Requires-Root: no
+Rules-Requires-Root: no
 Homepage: https://github.com/containers/crun
 Vcs-Git: https://salsa.debian.org/debian/crun.git
 Vcs-Browser: https://salsa.debian.org/debian/crun

## crun 0.17%2Bdfsg

=== debian/rules ===
--- 
+++ 
@@ -31,6 +31,7 @@
 
 override_dh_auto_install:
 	dh_auto_install --destdir=debian/tmp
+	-$(RM) debian/tmp/usr/lib/*/*.la
 
 override_dh_gencontrol:
 	dh_gencontrol -- -Vmy:Built-Using="$(shell dpkg-query --show -f '$${source:Package} (=$${source:Version}),' golang-github-opencontainers-image-spec-dev golang-github-opencontainers-specs-dev)"

## crun 0.17+dfsg

=== debian/changelog ===
crun (0.17+dfsg-1.1ubuntu0.1) jammy; urgency=medium

  * lp2056442-ignore-enotsup-when-chmod-symlink.patch: Ignore ENOTSUP
    when chmod a symlink (LP: #2056442)

 -- Julian Andres Klode <juliank@ubuntu.com>  Thu, 07 Mar 2024 14:17:06 +0100

crun (0.17+dfsg-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Bug fix: "FTBFS: undefined reference to
    `gen_runtime_spec_schema_config_zos", thanks to Lucas Nussbaum
    (Closes: #997225).

 -- Reinhard Tartler <siretart@tauware.de>  Wed, 10 Nov 2021 09:17:23 -0500

crun (0.17+dfsg-1) unstable; urgency=medium

  * New upstream release.

 -- Dmitry Smirnov <onlyjob@debian.org>  Mon, 01 Feb 2021 12:33:51 +1100

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,8 @@
 Section: admin
 Priority: optional
 Standards-Version: 4.5.0
-Maintainer: Dmitry Smirnov <onlyjob@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Dmitry Smirnov <onlyjob@debian.org>
 Build-Depends: debhelper-compat (= 12)
     ,automake
     ,golang-github-opencontainers-image-spec-dev

## crun 1.5+dfsg

=== debian/changelog ===
crun (1.5+dfsg-1) unstable; urgency=medium

  * New upstream release. (Closes: #1014306)
    - Includes a fix for CVE-2022-27650 (Closes: #1009881)
    - Remove patch zos.patch, was an upstream backport.
  * Replace invalid field Homepage by field Repository-Browse in upstream
    metadata. Also add Repository and Changelog fields.
  * Install crun.1 from the installed path in /usr/share/man, rather than the
    source tree, silencing a dh_missing warning.
  * Bump build-dep of golang-github-opencontainers-specs-dev to
    >= v1.0.2.102.ga8106e9, which includes commit 2792412 for cpu.idle.
  * Bump Standards-Version to 4.6.1, no changes needed.
  * Add myself to Uploaders.

 -- Faidon Liambotis <paravoid@debian.org>  Mon, 08 Aug 2022 13:42:27 +0300

=== debian/control ===
--- 
+++ 
@@ -1,13 +1,13 @@
 Source: crun
 Section: admin
 Priority: optional
-Standards-Version: 4.5.0
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Dmitry Smirnov <onlyjob@debian.org>
+Standards-Version: 4.6.1
+Maintainer: Dmitry Smirnov <onlyjob@debian.org>
+Uploaders: Faidon Liambotis <paravoid@debian.org>
 Build-Depends: debhelper-compat (= 12)
     ,automake
     ,golang-github-opencontainers-image-spec-dev
-    ,golang-github-opencontainers-specs-dev (>= 1.0.1+git20190408~)
+    ,golang-github-opencontainers-specs-dev (>= 1.0.2.102.ga8106e9)
     ,go-md2man
     ,libcap-dev
     ,libseccomp-dev

## crun 1.8

=== debian/changelog ===
crun (1.8-1) unstable; urgency=medium

  * New upstream release.
  * Update debian/watch to point to the GitHub API.
  * Ship the original upstream release, including its signature, instead of
    the DFSG repack. The two binary files were removed in the latest upstream
    release (PR #1126), and libocispec is DFSG-free, even if unused.
  * Rework debian/copyright, to simplify, document previously undocumented
    files (e.g.  libyajl).
  * Bump golang-github-opencontainers-specs-dev Build-Dependency to account
    for required changes there (memory.checkBeforeUpdate).
  * Regenerate a couple of pregenerated files using gperf.
  * Bump debhelper level to 13.
  * Switch buildsystem to autoreconf.
  * Various other misc packaging changes (override -> execute_after,
    d/install, wrap-and-sort -sabt, etc.)
  * Bump Standards-Version to 4.6.2, no further changes needed.
  * Add Reinhard Tartler to uploaders per his request.

 -- Faidon Liambotis <paravoid@debian.org>  Thu, 09 Feb 2023 03:36:22 +0200

=== debian/control ===
Source: crun
Section: admin
Priority: optional
Standards-Version: 4.6.2
Maintainer: Dmitry Smirnov <onlyjob@debian.org>
Uploaders:
 Faidon Liambotis <paravoid@debian.org>,
 Reinhard Tartler <siretart@tauware.de>,
Build-Depends:
 automake,
 debhelper-compat (= 13),
 go-md2man,
 golang-github-opencontainers-image-spec-dev,
 golang-github-opencontainers-specs-dev (>= 1.0.2.114.g494a5a6),
 gperf,
 libcap-dev,
 libseccomp-dev,
 libsystemd-dev,
 libyajl-dev,
 pkgconf | pkg-config,
 python3,
Rules-Requires-Root: no
Homepage: https://github.com/containers/crun
Vcs-Git: https://salsa.debian.org/debian/crun.git
Vcs-Browser: https://salsa.debian.org/debian/crun

Package: crun
Architecture: any
Built-Using:
 ${my:Built-Using},
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Description: lightweight OCI runtime for running containers
 Fast and low-memory footprint OCI Container Runtime fully written in C.

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

#include /usr/share/dpkg/pkg-info.mk

%:
	dh $@

override_dh_auto_clean:
	-dh_auto_clean

execute_after_dh_clean:
	for spec in image-spec runtime-spec; do \
		if [ -d libocispec/$$spec.saved ]; then \
			rm -r libocispec/$$spec; \
			mv libocispec/$$spec.saved libocispec/$$spec; \
		fi; \
	done

execute_after_dh_auto_configure:
	for spec in image-spec runtime-spec; do \
		if [ ! -d libocispec/$$spec.saved ]; then \
			mv libocispec/$$spec libocispec/$$spec.saved ; \
			cp -rv /usr/share/gocode/src/github.com/opencontainers/$$spec/ libocispec/; \
		fi; \
	done

override_dh_auto_test:
	-dh_auto_test

execute_before_dh_auto_build:
	make generate-signals.c
	make generate-mount_flags.c

override_dh_auto_install:
	dh_auto_install --destdir=debian/tmp
	-$(RM) debian/tmp/usr/lib/*/*.la

override_dh_gencontrol:
	dh_gencontrol -- -Vmy:Built-Using="$(shell dpkg-query --show -f '$${source:Package} (=$${source:Version}),' golang-github-opencontainers-image-spec-dev golang-github-opencontainers-specs-dev)"

## crun 1.8.1

=== debian/changelog ===
crun (1.8.1-1+deb12u1) bookworm; urgency=medium

  * Backport two commits from upstream ("ignore ENOTSUP when chmod a
    symlink"), that restore containers with systemd as their init system, when
    running under Linux >= v6.6 and >= v6.1.55, i.e. bookworm's current stable
    kernel. (Closes: #1053821)
  * Move myself to Maintainer, and Dmitry to Uploaders.

 -- Faidon Liambotis <paravoid@debian.org>  Thu, 02 Nov 2023 18:52:46 +0200

crun (1.8.1-1) unstable; urgency=medium

  * New bugfix upstream release.
  * Provide a lengthier long description.

 -- Faidon Liambotis <paravoid@debian.org>  Mon, 27 Feb 2023 22:01:38 +0200

=== debian/control ===
--- 
+++ 
@@ -2,9 +2,9 @@
 Section: admin
 Priority: optional
 Standards-Version: 4.6.2
-Maintainer: Dmitry Smirnov <onlyjob@debian.org>
+Maintainer: Faidon Liambotis <paravoid@debian.org>
 Uploaders:
- Faidon Liambotis <paravoid@debian.org>,
+ Dmitry Smirnov <onlyjob@debian.org>,
  Reinhard Tartler <siretart@tauware.de>,
 Build-Depends:
  automake,
@@ -32,4 +32,9 @@
  ${misc:Depends},
  ${shlibs:Depends},
 Description: lightweight OCI runtime for running containers
- Fast and low-memory footprint OCI Container Runtime fully written in C.
+ crun is a command line program for running Linux containers that follow the
+ Open Container Initiative (OCI) format. It is alternative to runc, but fully
+ written in C, and focused on being fast and low-memory.
+ .
+ As an OCI runtime, crun is low-level and primarily intended to be used through
+ a container engine, such as podman, docker, and containerd.

=== debian/rules ===
--- 
+++ 
@@ -1,11 +1,6 @@
 #!/usr/bin/make -f
 
-# Uncomment this to turn on verbose mode.
-#export DH_VERBOSE=1
-
 export DEB_BUILD_MAINT_OPTIONS = hardening=+all
-
-#include /usr/share/dpkg/pkg-info.mk
 
 %:
 	dh $@

## crun 1.8.5

=== debian/changelog ===
crun (1.8.5-1) unstable; urgency=medium

  * New upstream release.
  * Bump golang-github-opencontainers-specs-dev Build-Dependency to account
    for required changes there (timeOffsets).
  * Add an additional guard in override_dh_gencontrol to ensure that we are
    building against libyajl. The embedded copy is not, and was never used in
    this package, but add a guard to make sure we FTBFS if that ever becomes
    the case. See bugs #1039083 and #1040147 for additional context.
  * Add an autopkgtest running the upstream test suite, in an isolated-machine
    test rig, under both rootless and rootful configurations.
  * Enable wasm-wasi support on amd64 and arm64 through the WasmEdge runtime.
    - Build-Depend on libwasmedge-dev, and Suggest libwasmedge0.
    - Pass --with-wasmedge to ./configure.
  * Move myself to Maintainer, and Dmitry to Uploaders.

 -- Faidon Liambotis <paravoid@debian.org>  Thu, 13 Jul 2023 17:54:38 +0300

=== debian/control ===
--- 
+++ 
@@ -11,11 +11,12 @@
  debhelper-compat (= 13),
  go-md2man,
  golang-github-opencontainers-image-spec-dev,
- golang-github-opencontainers-specs-dev (>= 1.0.2.114.g494a5a6),
+ golang-github-opencontainers-specs-dev (>= 1.1.0~rc3),
  gperf,
  libcap-dev,
  libseccomp-dev,
  libsystemd-dev,
+ libwasmedge-dev [amd64 arm64],
  libyajl-dev,
  pkgconf | pkg-config,
  python3,
@@ -31,6 +32,8 @@
 Depends:
  ${misc:Depends},
  ${shlibs:Depends},
+Suggests:
+ libwasmedge0 [amd64 arm64],
 Description: lightweight OCI runtime for running containers
  crun is a command line program for running Linux containers that follow the
  Open Container Initiative (OCI) format. It is alternative to runc, but fully

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/dpkg/architecture.mk

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

ifneq (,$(findstring $(DEB_HOST_ARCH),amd64 arm64))
  DEB_CONFIGOPTS += --with-wasmedge
endif

%:
	dh $@

override_dh_auto_clean:
	-dh_auto_clean

# Use the Debian-provided libocispec image and runtime specs, from the
# golang-github-opencontainers-{image-spec,specs}-dev packages.
#
# Copy them here for autoconf to run, and restore the embedded copy in clean to
# avoid a dirty diff.
execute_after_dh_clean:
	for spec in image-spec runtime-spec; do \
		if [ -d libocispec/$$spec.saved ]; then \
			rm -r libocispec/$$spec; \
			mv libocispec/$$spec.saved libocispec/$$spec; \
		fi; \
	done

override_dh_auto_configure:
	dh_auto_configure -- $(DEB_CONFIGOPTS)
	for spec in image-spec runtime-spec; do \
		if [ ! -d libocispec/$$spec.saved ]; then \
			mv libocispec/$$spec libocispec/$$spec.saved ; \
			cp -rv /usr/share/gocode/src/github.com/opencontainers/$$spec/ libocispec/; \
		fi; \
	done

# The test suite tries to perform all kinds of privileged operations, like
# spawn containers, that are not necessarily allowed in the build environment,
# as is the case in the Debian buildd network.
#
# Thus run the suite, but ignore all errors; proper testing can happen in the
# autopkgtest testing environment
override_dh_auto_test:
	-dh_auto_test

execute_before_dh_auto_build:
	# These are generated with gperf, but regenerated for DFSG reasons here
	make generate-signals.c
	make generate-mount_flags.c

override_dh_auto_install:
	dh_auto_install --destdir=debian/tmp
	-$(RM) debian/tmp/usr/lib/*/*.la

override_dh_gencontrol:
	dh_gencontrol -- \
		-Vmy:Built-Using="$(shell dpkg-query --show -f '$${source:Package} (= $${source:Version}), ' golang-github-opencontainers-image-spec-dev golang-github-opencontainers-specs-dev)"
	# ensure we are linking against libyajl, and not building the embedded copy
	grep -q yajl debian/crun.substvars

=== debian/tests/control ===
# Run the upstream test suite, which runs crun to spawn containers, and thus
# needs an isolated machine rather than a container, to avoid
# container-in-container limitations.
#
# A build is needed, for tests/init, which requires config.h to be built.
#
# The suite, like crun, can run both with and without root, with different
# codepaths being exercised in each (and with some tests skipped). Thus we run
# the suite twice, once with sudo.
#
# Mark as flaky for the initial release of these tests.

Tests: upstream-test-suite
Depends:
 @,
 python-is-python3,
Restrictions:
 isolation-machine,
 build-needed,
 needs-sudo,
 flaky,

## crun 1.10

=== debian/changelog ===
crun (1.10-1) unstable; urgency=medium

  * New upstream release.
    - Fix incompatibility with Linux >= 6.1.0. (Closes: #1053821)
  * Fix a test failure with Linux >= 6.5 (test_prio/ioprio).

 -- Faidon Liambotis <paravoid@debian.org>  Tue, 24 Oct 2023 18:17:09 +0300

crun (1.9-1) unstable; urgency=medium

  * New upstream release.

 -- Faidon Liambotis <paravoid@debian.org>  Wed, 13 Sep 2023 02:25:18 +0300

crun (1.8.7-1) unstable; urgency=medium

  * New upstream release.
    - Drop patch mount_flags.perf-add-get_mount_flags_from_wordlist, as it was
      a backport.

 -- Faidon Liambotis <paravoid@debian.org>  Tue, 22 Aug 2023 03:24:25 +0300

crun (1.8.6-1) unstable; urgency=medium

  * New upstream release.
    - Drop test suite patches that were merged upstream.
  * Add patch mount_flags.perf-add-get_mount_flags_from_wordlist, fix for the
    reported upstream issue #1253, an FTBFS caused by the regeneration of
    gperf-generated files from source.
  * Unmark autopkgtest tests from being flaky.

 -- Faidon Liambotis <paravoid@debian.org>  Thu, 17 Aug 2023 04:50:08 +0300

## crun 1.11

=== debian/changelog ===
crun (1.11-1) unstable; urgency=medium

  * New upstream release.
    - Drop patch ioprio-test-issue-1330, merged upstream.
  * Regenerate manpages from their Markdown sources, resolving lintian
    groff-message warnings in the process, resulting from go-md2man upstream
    issue #99 ("C" font portability), now fixed.

 -- Faidon Liambotis <paravoid@debian.org>  Fri, 27 Oct 2023 15:37:50 +0300

## crun 1.11.1

=== debian/changelog ===
crun (1.11.1-1) unstable; urgency=medium

  * New upstream release.

 -- Faidon Liambotis <paravoid@debian.org>  Thu, 02 Nov 2023 15:07:49 +0200

=== debian/tests/control ===
--- 
+++ 
@@ -18,4 +18,3 @@
  isolation-machine,
  build-needed,
  needs-sudo,
- flaky,

## crun 1.12

=== debian/changelog ===
crun (1.12-1) unstable; urgency=medium

  * New upstream release.

 -- Faidon Liambotis <paravoid@debian.org>  Fri, 24 Nov 2023 11:11:19 +0200

## crun 1.14.1

=== debian/changelog ===
crun (1.14.1-1) unstable; urgency=medium

  * New upstream release.
    - Harden codebase based on the learnings of runc's CVE-2024-21626.
  * Drop alternative dependency pkg-config, obsolete since bookworm.

 -- Faidon Liambotis <paravoid@debian.org>  Mon, 12 Feb 2024 14:29:52 +0200

crun (1.14-1) unstable; urgency=medium

  * New upstream release.

 -- Faidon Liambotis <paravoid@debian.org>  Thu, 25 Jan 2024 10:36:38 +0200

crun (1.13-1) unstable; urgency=medium

  * New upstream release.

 -- Faidon Liambotis <paravoid@debian.org>  Mon, 15 Jan 2024 20:20:00 +0200

=== debian/control ===
--- 
+++ 
@@ -11,14 +11,14 @@
  debhelper-compat (= 13),
  go-md2man,
  golang-github-opencontainers-image-spec-dev,
- golang-github-opencontainers-specs-dev (>= 1.1.0~rc3),
+ golang-github-opencontainers-specs-dev (>= 1.1.0),
  gperf,
  libcap-dev,
  libseccomp-dev,
  libsystemd-dev,
  libwasmedge-dev [amd64 arm64],
  libyajl-dev,
- pkgconf | pkg-config,
+ pkgconf,
  python3,
 Rules-Requires-Root: no
 Homepage: https://github.com/containers/crun

=== debian/rules ===
--- 
+++ 
@@ -49,6 +49,15 @@
 	# These are generated with gperf, but regenerated for DFSG reasons here
 	make generate-signals.c
 	make generate-mount_flags.c
+	# upstream ships prebuilt manpages, regenerate them
+	rm -f *.1
+	make generate-man
+	# workaround remnants of cpuguy83/go-md2man#99
+	# address groff-message an.tmac:<standard input>:844: warning: tbl preprocessor failed, or it or soelim was not run
+	# by adding...
+	#   '\" t
+	# ...at the top of the manpage
+	sed -i '1{/^'\''\\" t$$/!{s/^/'\''\\" t\n/}}' crun.1
 
 override_dh_auto_install:
 	dh_auto_install --destdir=debian/tmp

=== debian/tests/control ===
--- 
+++ 
@@ -7,8 +7,6 @@
 # The suite, like crun, can run both with and without root, with different
 # codepaths being exercised in each (and with some tests skipped). Thus we run
 # the suite twice, once with sudo.
-#
-# Mark as flaky for the initial release of these tests.
 
 Tests: upstream-test-suite
 Depends:

## crun 1.14.4

=== debian/changelog ===
crun (1.14.4-1) unstable; urgency=medium

  * New upstream release: 1.1.4

 -- Reinhard Tartler <siretart@tauware.de>  Sat, 09 Mar 2024 09:39:23 -0500

## crun 1.15

=== debian/changelog ===
crun (1.15-1build1) oracular; urgency=medium

  * No change rebuild with new golang-github-containers-common to pull in
    apparmor fixes (LP: #2040483)

 -- Andreas Hasenack <andreas@canonical.com>  Sat, 15 Jun 2024 09:18:54 -0300

crun (1.15-1) unstable; urgency=medium

  * New upstream release.
  * Bump golang-github-opencontainers-specs-dev Build-Dependency to 1.2.0.
  * Bump Standards-Version to 4.7.0, no further changes needed.

 -- Faidon Liambotis <paravoid@debian.org>  Thu, 02 May 2024 16:35:46 +0300

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Source: crun
 Section: admin
 Priority: optional
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Maintainer: Faidon Liambotis <paravoid@debian.org>
 Uploaders:
  Dmitry Smirnov <onlyjob@debian.org>,
@@ -11,7 +11,7 @@
  debhelper-compat (= 13),
  go-md2man,
  golang-github-opencontainers-image-spec-dev,
- golang-github-opencontainers-specs-dev (>= 1.1.0),
+ golang-github-opencontainers-specs-dev (>= 1.2.0),
  gperf,
  libcap-dev,
  libseccomp-dev,

## crun 1.16

=== debian/changelog ===
crun (1.16-1) unstable; urgency=medium

  * New upstream release.
  * Ship the /usr/bin/crun-wasm symlink on amd64/arm64. (Closes: #1070727)
  * Remove the last remaining workaround for cpuguy83/go-md2man#99, now fully
    fixed upstream.
  * Remove Built-Using for runtime/image specs, as this should only be used
    for licensing/DFSG reasons (per policy 7.8).

 -- Faidon Liambotis <paravoid@debian.org>  Tue, 13 Aug 2024 17:20:13 +0300

## crun 1.16.1

=== debian/changelog ===
crun (1.16.1-1) unstable; urgency=medium

  * New upstream release.

 -- Faidon Liambotis <paravoid@debian.org>  Wed, 14 Aug 2024 12:12:06 +0300

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,6 @@
 Standards-Version: 4.7.0
 Maintainer: Faidon Liambotis <paravoid@debian.org>
 Uploaders:
- Dmitry Smirnov <onlyjob@debian.org>,
  Reinhard Tartler <siretart@tauware.de>,
 Build-Depends:
  automake,
@@ -27,8 +26,6 @@
 
 Package: crun
 Architecture: any
-Built-Using:
- ${my:Built-Using},
 Depends:
  ${misc:Depends},
  ${shlibs:Depends},

=== debian/rules ===
--- 
+++ 
@@ -5,6 +5,10 @@
 export DEB_BUILD_MAINT_OPTIONS = hardening=+all
 
 ifneq (,$(findstring $(DEB_HOST_ARCH),amd64 arm64))
+  ENABLE_WASMEDGE := 1
+endif
+
+ifeq ($(ENABLE_WASMEDGE),1)
   DEB_CONFIGOPTS += --with-wasmedge
 endif
 
@@ -52,19 +56,15 @@
 	# upstream ships prebuilt manpages, regenerate them
 	rm -f *.1
 	make generate-man
-	# workaround remnants of cpuguy83/go-md2man#99
-	# address groff-message an.tmac:<standard input>:844: warning: tbl preprocessor failed, or it or soelim was not run
-	# by adding...
-	#   '\" t
-	# ...at the top of the manpage
-	sed -i '1{/^'\''\\" t$$/!{s/^/'\''\\" t\n/}}' crun.1
 
 override_dh_auto_install:
 	dh_auto_install --destdir=debian/tmp
+ifeq ($(ENABLE_WASMEDGE),1)
+	dh_link usr/bin/crun usr/bin/crun-wasm
+	dh_link usr/share/man/man1/crun.1 usr/share/man/man1/crun-wasm.1
+endif
 	-$(RM) debian/tmp/usr/lib/*/*.la
 
-override_dh_gencontrol:
-	dh_gencontrol -- \
-		-Vmy:Built-Using="$(shell dpkg-query --show -f '$${source:Package} (= $${source:Version}), ' golang-github-opencontainers-image-spec-dev golang-github-opencontainers-specs-dev)"
+execute_after_dh_gencontrol:
 	# ensure we are linking against libyajl, and not building the embedded copy
 	grep -q yajl debian/crun.substvars

## crun 1.18

=== libocispec/image-spec/Makefile ===
--- 
+++ 
@@ -2,6 +2,8 @@
 
 DOCKER ?= $(shell command -v docker 2>/dev/null)
 PANDOC ?= $(shell command -v pandoc 2>/dev/null)
+
+GOPATH:=$(shell go env GOPATH)
 
 OUTPUT_DIRNAME	?= output
 DOC_FILENAME	?= oci-image-spec
@@ -39,25 +41,18 @@
 FIGURE_FILES := \
 	img/media-types.png
 
-TOOLS := esc gitvalidation 
+MARKDOWN_LINT_VER?=v0.8.1
+
+TOOLS := gitvalidation
 
 default: check-license lint test
 
-help:
-	@echo "Usage: make <target>"
-	@echo
-	@echo " * 'docs' - produce document in the $(OUTPUT_DIRNAME) directory"
-	@echo " * 'fmt' - format the json with indentation"
-	@echo " * 'validate-examples' - validate the examples in the specification markdown files"
-	@echo " * 'check-license' - check license headers in source files"
-	@echo " * 'lint' - Execute the source code linter"
-	@echo " * 'test' - Execute the unit tests"
-	@echo " * 'img/*.png' - Generate PNG from dot file"
-
-fmt:
+.PHONY: fmt
+fmt: ## format the json with indentation
 	for i in schema/*.json ; do jq --indent 2 -M . "$${i}" > xx && cat xx > "$${i}" && rm xx ; done
 
-docs: $(OUTPUT_DIRNAME)/$(DOC_FILENAME).pdf $(OUTPUT_DIRNAME)/$(DOC_FILENAME).html
+.PHONY: docs
+docs: $(OUTPUT_DIRNAME)/$(DOC_FILENAME).pdf $(OUTPUT_DIRNAME)/$(DOC_FILENAME).html ## generate a PDF/HTML version of the OCI image specification
 
 ifeq "$(strip $(PANDOC))" ''
 $(OUTPUT_DIRNAME)/$(DOC_FILENAME).pdf: $(DOC_FILES) $(FIGURE_FILES)
@@ -78,53 +73,67 @@
 header.html: .tool/genheader.go specs-go/version.go
 	go run .tool/genheader.go > $@
 
-validate-examples: schema/schema.go
+.PHONY: validate-examples
+validate-examples: schema/schema.go ## validate examples in the specification markdown files
 	go test -run TestValidate ./schema
 
-check-license:
+.PHONY: check-license
+check-license: ## check license headers in source files
 	@echo "checking license headers"
 	@./.tool/check-license
 
-lint: .install.lint
-	@echo "checking lint"
-	@GO111MODULE=on golangci-lint run
+.PHONY: lint
 
-test: schema/fs.go
+.PHONY: lint
+lint: lint-go lint-md ## Run all linters
+
+.PHONY: lint-go
+lint-go: .install.lint ## lint check of Go files using golangci-lint
+	@echo "checking Go lint"
+	@GO111MODULE=on $(GOPATH)/bin/golangci-lint run
+
+.PHONY: lint-md
+lint-md: ## Run linting for markdown
+	docker run --rm -v "$(PWD):/workdir:ro" docker.io/davidanson/markdownlint-cli2:$(MARKDOWN_LINT_VER) \
+	  "**/*.md" "#vendor"
+
+.PHONY: test
+test: ## run the unit tests
 	go test -race -cover $(shell go list ./... | grep -v /vendor/)
 
-img/%.png: img/%.dot
+img/%.png: img/%.dot ## generate PNG from dot file
 	dot -Tpng $^ > $@
 
-
 # When this is running in GitHub, it will only check the commit range
+.PHONY: .gitvalidation
 .gitvalidation:
 	@which git-validation > /dev/null 2>/dev/null || (echo "ERROR: git-validation not found. Consider 'make install.tools' target" && false)
 ifdef GITHUB_SHA
-	git-validation -q -run DCO,short-subject,dangling-whitespace -range $(GITHUB_SHA)..HEAD
+	$(GOPATH)/bin/git-validation -q -run DCO,short-subject,dangling-whitespace -range $(GITHUB_SHA)..HEAD
 else
-	git-validation -v -run DCO,short-subject,dangling-whitespace -range $(EPOCH_TEST_COMMIT)..HEAD
+	$(GOPATH)/bin/git-validation -v -run DCO,short-subject,dangling-whitespace -range $(EPOCH_TEST_COMMIT)..HEAD
 endif
 
+.PHONY: .install.tools
 install.tools: $(TOOLS:%=.install.%)
 
+.PHONY: .install.lint
 .install.lint:
-	go get github.com/golangci/golangci-lint/cmd/golangci-lint@v1.45.2
+	case "$$(go env GOVERSION)" in \
+	go1.18.*)	go install github.com/golangci/golangci-lint/cmd/golangci-lint@v1.47.3;; \
+	go1.19.*)	go install github.com/golangci/golangci-lint/cmd/golangci-lint@v1.54.1;; \
+	go1.20.*)	go install github.com/golangci/golangci-lint/cmd/golangci-lint@v1.55.2;; \
+	*) go install github.com/golangci/golangci-lint/cmd/golangci-lint@latest;; \
+	esac
 
+.PHONY: .install.gitvalidation
 .install.gitvalidation:
-	go get -u github.com/vbatts/git-validation
+	go install github.com/vbatts/git-validation@latest
 
-clean:
+.PHONY: clean
+clean: ## clean all generated and compiled artifacts
 	rm -rf *~ $(OUTPUT_DIRNAME) header.html
 
-.PHONY: \
-	$(TOOLS:%=.install.%) \
-	validate-examples \
-	check-license \
-	clean \
-	lint \
-	install.tools \
-	docs \
-	test \
-	.gitvalidation \
-	schema/fs.go \
-	schema-fs
+.PHONY: help
+help: # Display help
+	@awk -F ':|##' '/^[^\t].+?:.*?##/ { printf "\033[36m%-30s\033[0m %s\n", $$1, $$NF }' $(MAKEFILE_LIST)

=== debian/changelog ===
crun (1.18-1) unstable; urgency=medium

  * New upstream release.

 -- Faidon Liambotis <paravoid@debian.org>  Tue, 22 Oct 2024 16:15:39 +0300

crun (1.17-1) unstable; urgency=medium

  * New upstream release.

 -- Faidon Liambotis <paravoid@debian.org>  Mon, 09 Sep 2024 16:43:26 +0300

## crun 1.18.2

=== debian/changelog ===
crun (1.18.2-1) unstable; urgency=medium

  * New upstream release.

 -- Faidon Liambotis <paravoid@debian.org>  Thu, 31 Oct 2024 21:23:39 +0200

crun (1.18.1-1) unstable; urgency=medium

  * New upstream release.

 -- Faidon Liambotis <paravoid@debian.org>  Wed, 30 Oct 2024 13:55:01 +0200

=== debian/control ===
--- 
+++ 
@@ -4,6 +4,7 @@
 Standards-Version: 4.7.0
 Maintainer: Faidon Liambotis <paravoid@debian.org>
 Uploaders:
+ Dmitry Smirnov <onlyjob@debian.org>,
  Reinhard Tartler <siretart@tauware.de>,
 Build-Depends:
  automake,

## crun 1.19.1

=== debian/changelog ===
crun (1.19.1-1) unstable; urgency=medium

  * New upstream release.
    - Build-Depend on golang-github-opencontainers-specs-dev (>= 1.2.0-2~),
      needed for the new CPU affinity functionality. (FTBFSes without it).
  * Enable checkpoint/restore (e.g. through "podman container checkpoint"), by
    build depending on the (now split off) libcriu-dev package, and add
    Recommends for libcriu2. Note that podman also requires the criu package.
    (Closes: #1008249)

 -- Faidon Liambotis <paravoid@debian.org>  Sat, 04 Jan 2025 12:10:18 +0200

=== debian/control ===
--- 
+++ 
@@ -11,9 +11,10 @@
  debhelper-compat (= 13),
  go-md2man,
  golang-github-opencontainers-image-spec-dev,
- golang-github-opencontainers-specs-dev (>= 1.2.0),
+ golang-github-opencontainers-specs-dev (>= 1.2.0-2~),
  gperf,
  libcap-dev,
+ libcriu-dev,
  libseccomp-dev,
  libsystemd-dev,
  libwasmedge-dev [amd64 arm64],
@@ -30,6 +31,8 @@
 Depends:
  ${misc:Depends},
  ${shlibs:Depends},
+Recommends:
+ libcriu2 [amd64 arm64 ppc64el s390x],
 Suggests:
  libwasmedge0 [amd64 arm64],
 Description: lightweight OCI runtime for running containers

## crun 1.20

=== debian/changelog ===
crun (1.20-1syncable1) plucky; urgency=medium

  * Mark upstream-test-suite as flaky.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Sun, 16 Mar 2025 20:22:10 -0500

crun (1.20-1) unstable; urgency=medium

  * New upstream release.
  * Build-Depend on libcriu-dev only on criu's supported architectures,
    currently: amd64 arm64 ppc64el s390x. (Closes: #1097132)
  * Add @recommends@ to debian/tests/control, to make sure libcriu2 is
    installed on supported architectures during test time.
  * Add iptables to autopkgtest Depends, as it's necessary for the criu tests.
  * Build tests/init explicitly, as we need this for autopkgtests through
    build-needed. This partially rolls back upstream 3c5292b.
  * Add an upstream patch to fix a test regression in test_resources.py
    introduced by a new better error message in 1.20.

 -- Faidon Liambotis <paravoid@debian.org>  Sat, 22 Feb 2025 13:31:01 +0200

=== debian/control ===
--- 
+++ 
@@ -2,9 +2,9 @@
 Section: admin
 Priority: optional
 Standards-Version: 4.7.0
-Maintainer: Faidon Liambotis <paravoid@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Faidon Liambotis <paravoid@debian.org>
 Uploaders:
- Dmitry Smirnov <onlyjob@debian.org>,
  Reinhard Tartler <siretart@tauware.de>,
 Build-Depends:
  automake,
@@ -14,7 +14,7 @@
  golang-github-opencontainers-specs-dev (>= 1.2.0-2~),
  gperf,
  libcap-dev,
- libcriu-dev,
+ libcriu-dev [amd64 arm64 ppc64el s390x],
  libseccomp-dev,
  libsystemd-dev,
  libwasmedge-dev [amd64 arm64],

=== debian/tests/control ===
--- 
+++ 
@@ -11,8 +11,11 @@
 Tests: upstream-test-suite
 Depends:
  @,
+ @recommends@,
  python-is-python3,
+ iptables,
 Restrictions:
  isolation-machine,
  build-needed,
  needs-sudo,
+ flaky,

## crun 1.21

=== debian/changelog ===
crun (1.21-1) unstable; urgency=medium

  * New upstream release.
    - Drop patch tests-fix-test_resources_unified_invalid_controller, merged
      upstream.
  * Bump Standards-Version to 4.7.2.

 -- Faidon Liambotis <paravoid@debian.org>  Sun, 30 Mar 2025 18:33:19 +0300

=== debian/control ===
--- 
+++ 
@@ -1,9 +1,8 @@
 Source: crun
 Section: admin
 Priority: optional
-Standards-Version: 4.7.0
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Faidon Liambotis <paravoid@debian.org>
+Standards-Version: 4.7.2
+Maintainer: Faidon Liambotis <paravoid@debian.org>
 Uploaders:
  Reinhard Tartler <siretart@tauware.de>,
 Build-Depends:

=== debian/rules ===
--- 
+++ 
@@ -56,6 +56,8 @@
 	# upstream ships prebuilt manpages, regenerate them
 	rm -f *.1
 	make generate-man
+	# we don't ship this, but autopkgtest needs it through build-needed
+	make tests/init
 
 override_dh_auto_install:
 	dh_auto_install --destdir=debian/tmp

## crun 1.24

=== debian/changelog ===
crun (1.24-1) unstable; urgency=medium

  * New upstream release, Closes: #1115898
  * Build against the internal copies of the OCI specs, Closes: #1122251
  * Drop patches, merged upstream

 -- Reinhard Tartler <siretart@tauware.de>  Wed, 10 Dec 2025 06:09:26 -0500

crun (1.21-3) unstable; urgency=medium

  * Fix autopkgtests by fixup incomplete patch in previous upload

 -- Reinhard Tartler <siretart@tauware.de>  Fri, 07 Nov 2025 06:10:26 -0500

crun (1.21-2) unstable; urgency=medium

  * Never chown devices, Closes: #1118638

 -- Reinhard Tartler <siretart@tauware.de>  Wed, 05 Nov 2025 21:28:06 -0500

=== debian/control ===
--- 
+++ 
@@ -9,8 +9,6 @@
  automake,
  debhelper-compat (= 13),
  go-md2man,
- golang-github-opencontainers-image-spec-dev,
- golang-github-opencontainers-specs-dev (>= 1.2.0-2~),
  gperf,
  libcap-dev,
  libcriu-dev [amd64 arm64 ppc64el s390x],

=== debian/rules ===
--- 
+++ 
@@ -17,28 +17,6 @@
 
 override_dh_auto_clean:
 	-dh_auto_clean
-
-# Use the Debian-provided libocispec image and runtime specs, from the
-# golang-github-opencontainers-{image-spec,specs}-dev packages.
-#
-# Copy them here for autoconf to run, and restore the embedded copy in clean to
-# avoid a dirty diff.
-execute_after_dh_clean:
-	for spec in image-spec runtime-spec; do \
-		if [ -d libocispec/$$spec.saved ]; then \
-			rm -r libocispec/$$spec; \
-			mv libocispec/$$spec.saved libocispec/$$spec; \
-		fi; \
-	done
-
-override_dh_auto_configure:
-	dh_auto_configure -- $(DEB_CONFIGOPTS)
-	for spec in image-spec runtime-spec; do \
-		if [ ! -d libocispec/$$spec.saved ]; then \
-			mv libocispec/$$spec libocispec/$$spec.saved ; \
-			cp -rv /usr/share/gocode/src/github.com/opencontainers/$$spec/ libocispec/; \
-		fi; \
-	done
 
 # The test suite tries to perform all kinds of privileged operations, like
 # spawn containers, that are not necessarily allowed in the build environment,

=== debian/watch ===
Version: 5

Template: Github
Owner: containers
Project: crun
Pgp-Mode: auto

## crun 1.26

=== debian/changelog ===
crun (1.26-1) unstable; urgency=medium

  * New upstream release.

 -- Faidon Liambotis <paravoid@debian.org>  Mon, 29 Dec 2025 18:12:47 +0200

=== debian/watch ===
Version: 5

Search-Mode: plain
Source: https://api.github.com/repos/containers/crun/releases
Matching-Pattern: https://github.com/containers/crun/releases/download/?[\d.]+/@PACKAGE@-@ANY_VERSION@@ARCHIVE_EXT@
Pgp-Mode: auto
